Welcome to LanToucher Messenger

Thank you for choosing

LanToucher Messenger!

instant messaging software for your corporate or home network

Send Messages Instantly!

LanToucher Messenger is an easy-to-use and cost-effective text messaging solution for your internal network. With LanToucher Messenger your local network users will be able to exchange instant messages, see the presence of their favorite contacts in the contacts list, send instant messages to selected users and preset groups.

Get Connected & Stay in Touch

Based on peer-to-peer (or P2P) technology, this serverless messaging software operates without a dedicated server or Internet connection. All you will need is a wired or wireless connection to your local network!

Personalize Your Contacts

With only a few mouse clicks, you can personalize your contacts with custom avatars, sounds, and message text colors for better audio and visual feedback.

Communicate With Your Thin Clients

LanToucher Messenger is fully compatible with Windows Terminal Services (TS), Remote Desktop (RDP), and Fast User Switching (Windows XP, Windows Vista, Windows 7, Windows 8, Windows 10) that enables multiple users of a single PC or terminal server clients (thin clients) to exchange messages with each other and/or the internal network users easily.

Enhance Your Productivity!

Being an efficient WinPopup and 'net send' command alternative, our full-featured instant messaging application offers you a much richer IM experience than existing messaging services designed for internal networks. LanToucher's user-friendly interface and original features make this LAN messenger the tool of choice for both home and enterprise instant messaging. tell me more...


Overview and Features

OVERVIEW

LanToucher Messenger is an advanced instant messaging client for local networks.

Designed to operate peer-to-peer across home and corporate intranets, LanToucher Messenger sends instant messages directly from sender to receiver without intermediate servers for best performance and highest fault tolerance.

LanToucher Messenger is a powerful yet easy-to-use communications tool for home and small business users. The software combines common instant messaging capabilities with rich user interface and special features such as Dual message view and Terminal Services/Remote Desktop support.

You can begin instant messaging your contacts as soon as you have installed the LanToucher Messenger software on two or more computers on your local network. The installation is fairly simple, and takes less than one minute! There is no signing-in or registering required.

LanToucher Messenger is compatible with Microsoft WinPopup (Windows 3.x/95/98/ME), Messenger service / 'net send' command (Windows NT 4/2000/XP/Server 2003), Samba smbclient (Unix/Linux), and a range of compatible instant messengers based on the standard SMB/CIFS protocol.

FEATURES
  • Proven cross-platform compatibility
    LanToucher Messenger is fully compatible with Messenger service / 'net send' (Windows NT 4/2000/XP/Server 2003), WinPopup messenger (Windows 3.x/95/98/Me), Samba smbclient (Unix/Linux) and a broad range of compatible instant messengers based on the standard SMB/CIFS protocol.
  • All 32-bit and 64-bit Windows versions support
    LanToucher Messenger supports the following x86 and x64 operating systems: Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4, Windows 2000, Windows XP, Windows Vista, Windows 7, Windows 8, Windows 10, Windows Server 2003, Windows Server 2008, Windows Server 2012, and Windows Server 2016.
  • Low memory and network bandwidth usage
    Unlike most fancy messaging applications, LanToucher Messenger needs less than 16 megabytes of RAM and generates minimal network traffic.
  • True peer-to-peer (serverless) connectivity
    LanToucher Messenger does not require a dedicated messaging server, so users can communicate directly with one another.
  • LAN-only messaging without file transfer ability
    LanToucher Messenger does not require an Internet connection to operate and does not provide a file transfer option. Therefore it is absolutely immune to hacker attacks, viruses, and other security threats inherent to Internet messengers.
  • Multiprotocol support
    LanToucher Messenger works perfectly over any available network transport protocol (TCP/IP, IPX/SPX, or NetBEUI).
  • Terminal Services/Remote Desktop support
    LanToucher Messenger is compatible with TS and RDP allowing multiple Terminal Server users/Remote Desktop users to contact each other and other network users freely.
  • Feature-rich user interface
    While the default options should work fine for most users, LanToucher Messenger offers you dozens of various options you may want to adjust to suit your particular needs.
  • Contact List (ActiveList)
    It is pretty easy to add, remove, import, and export your contacts, see whether a person is online or not, send messages to multiple contacts at once, or optionally ignore computers not in your ActiveList. From the ActiveList menu you can easily customize your contacts' settings such as picture/portrait, sounds, message font color and other contact-specific settings.
  • Preset Groups
    LanToucher Messenger lets you easily create groups of your existing ActiveList contacts to send private messages in seconds. With powerful yet easy-to-use group management not only you can copy, rename, or merge your groups, but you can also quickly search the groups for specified contacts.
  • Advanced sound and visual notification
    With the original LanToucher Messenger sound notifications scheme in conjunction with visual notification you will never miss your important messages and other vital events.
  • User Macros and Status Messages
    Instantaneous access to your predefined message templates and status/away messages by a hot key or two mouse clicks.
  • Automatic Message Forwarding
    This enables you to automatically forward all incoming messages to another user or computer on your network when you are away from your computer.
  • Advanced Messenger service support (Windows NT 4/2000/XP/Server 2003)
    This feature fully controls the state of the Messenger service. Unlike other compatible instant messengers for intranets, LanToucher Messenger pauses the service at startup, and restarts it when shutting down so that you could still receive messages using the Messenger service before logging on, after logging off, and while at the Welcome screen (Windows XP).

SCREENSHOTS

Main window

LanToucher Messenger screenshot

The main window of LanToucher Messenger with a conversation example (8 users)

Options dialog

Here you can customize LanToucher Messenger to suit your needs and preferences.

Groups dialog

Lets you create and manage custom groups of your contacts.

Contact/Group Settings dialog

Contact/Group Settings dialog

Allows you to customize your contacts and preset groups.

Contact Browser dialog

Contact Browser dialog

Displays all the users who are currently online.

Main Menu

Taskbar Notification Area icon

Taskbar Notification Area icon


System requirements

LANTOUCHER MESSENGER SYSTEM REQUIREMENTS
  • Microsoft Windows 95/98/NT 4/2000/ME/XP/Vista/7/8/10/Server 2003/Server 2008/Server 2012/Server 2016
  • K6™ or Pentium Processor
  • 32 MB RAM (64 MB recommended)
  • 8 MB hard drive space
  • Network interface card connected to a Local Area Network
  • Another computer running LanToucher; WinPopup-compatible mailer; Messenger service / 'net send' (Windows NT 4/2000/XP/Server 2003); Samba client (Unix/Linux)
  • DirectSound-compatible sound card recommended

Notes

  • Make sure that your system meets the minimum system and hardware requirements for LanToucher.
  • Make sure that your machine is connected to a LAN with appropriate network cable (if applicable) and the Client for Microsoft Networks is installed.
  • Network Discovery and File Sharing must be enabled (Windows Vista/Windows 7/Windows 8/Windows 10/Server 2008/Server 2012/Server 2016)


MAIN WINDOW

The main window is your main work area in LanToucher Messenger. From the main window of LanToucher Messenger, you can manage your messages and contacts, set up custom messages and forwarding, print one or more messages, change the state mode you are running in, and much more.

Message History and Message Box fields

The Message History field and the Message Box field display all sent and received messages.

The Message History field displays all sent and received messages. Newer messages are placed in the bottom of the message history box while the old ones go up.

The Message Box field displays only one-message-per-screen.

Each view has independent navigation and message counters. You can find these counters at the top of both fields.

You can use the Message menu, the Message toolbar or Hot keys to navigate through the messages and make other operations.

With this 'dual view' design you are able to view a certain message in the Message Box view and work with another message in the Message History view.

To switch between these views, you can use the F2 key, the Toggle Message History/Message Box view button on the Message toolbar, or the Switch View command in the Message menu.

If a message contains an URL (preceded with http://, ftp://, mailto: etc.), or UNC name (i.e. \\SOMESERVER\someshare), it will work as a clickable hyperlink, so that you can click the link to go to that URL or UNC. In order to copy a URL or UNC link from the message you are currently viewing to the Windows clipboard, just hold down the CTRL key while clicking the link. To paste a URL or UNC link from the message you are currently viewing to the New Message field, just hold down the ALT key while clicking the link.

By default, LanToucher Messenger stores all the messages permanently, like an e-mail client. However, you may want to disable the Permanent message history option, so that LanToucher Messenger would delete the messages each time you close it or restart your computer.

New Message field

The New Message field is the place where you compose your outgoing messages.

This field is available in Mailer and Conference modes.

Use the Send button to send private messages. Use the Send To Domain button to send domain/workgroup messages.

The maximum size of a private message is limited to 1600 characters, while domain/workgroup messages cannot exceed 128 characters.

You can Drag & Drop shared network files and folders from Windows Explorer onto this field. Only the corresponding UNC link (e.g. \\MYCOMPUTER\sharedfolder\document.txt) is sent, not the actual file or folder.

Sending Buttons

The Sending Buttons are intended to send your messages to recipients.

The Send button sends your private messages to the users or computers you specify or select from within your ActiveList.

The Send To Domain button broadcasts your messages to the whole domain/workgroup you are currently on. Each user of the domain/workgroup will receive the message.

ActiveList control

The ActiveList control allows you to build a custom list of contacts (users, computers) and groups.

You can see the presence status of your contacts by their colors: available (online) contacts are black, while unavailable (offline) ones are grayed out. In order to see if someone is online or not while LanToucher Messenger is in the minimized state, you may want to use Mini-ActiveList. To show/hide it, just click the LanToucher Messenger tray icon with the middle (wheel) mouse button, or use the CTRL+ALT+SHIFT+F10 global shortcut. You can use the appropriate menu item of the LanToucher Messenger tray icon as well.

ActiveList supports sending to multiple contacts simultaneously (i.e. the message is delivered to each user/computer you have selected). You can send the same message to tens of recipients at once! The maximum number of simultaneous recipients is 250.

To select multiple recipients for your message, just hold down the CTRL key and click on a particular recipient to select/deselect it, and then click the Send button to initiate the sending process. When you send a message to a single recipient, you can just double-click it instead of selecting it and then clicking the Send button.

You can define custom groups of contacts and send messages to the groups. To manage groups, open the Groups dialog by pressing CTRL+G or by clicking the Manage Groups button on the ActiveList toolbar or by selecting Manage Groups in the ActiveList menu.

To send a message to a contact who is not on your ActiveList, you will have to type in the name manually and then click the Send button.

Image panel

The Image panel displays the picture/portrait associated with the currently selected contact or group.

LanToucher Messenger allows you to assign images (also known as avatars) to your contacts and groups in ActiveList. If a contact has an image assigned to it, the image will appear in the Image panel when you select that contact or group. This feature also allows you to easily identify the sender when you receive an instant message.

Status Message field

In this field you can specify a status message (AutoRespond).

This field is available in Passive mode.

The specified status message will be automatically sent as a reply to all incoming private messages while AutoRespond is on.

Make use of AutoRespond when you are away from your computer, or if you are busy and unable to reply to incoming messages.

Message Forwarding control

Here you can enable or disable the automatic Message Forwarding feature.

This field is available in Passive mode.

When Message Forwarding is on, all incoming personal messages are forwarded to the specified user or computer on the network (if one is available at that moment). You can either select the target user or computer from the drop-down menu or specify the name manually. To activate or deactivate Message Forwarding, use the Forward Messages to check box.

Mode Selector

Using the Mode Selector, you can switch between the state modes in order to change the current LanToucher Messenger behavior.

Minimize button

The Minimize button is intended to minimize LanToucher Messenger to the Windows taskbar or the taskbar notification area (system tray) when needed.


OPTIONS DIALOG

The Options dialog lets you customize LanToucher Messenger. The following options are available:

  • Always on Top;
  • Permanent message history;
  • Message separator;
  • No confirmation when deleting all messages;
  • No confirmation on program exit;
  • Close button (X) function [ Minimize | Close | Disabled ];
  • Hot Key to open main window;
  • Snap LanToucher Messenger main window to edges of desktop;
  • Show tooltips in windows;
  • Main window translucency effect;
  • Mini-ActiveList translucency effect;
  • Background image;
  • Sound notifications [ LanToucher Messenger sound scheme | Default Windows sound | System Speaker ];
  • Alert when ActiveList contacts come online/go offline;
  • Display sender's picture/portrait for at least (x) seconds after message arrival;
  • Automatically select last sender in ActiveList;
  • Deselect selected contacts after sending;
  • Use ENTER for message sending (otherwise for line feed);
  • Keep outgoing message in edit box after sending;
  • Hide taskbar button when main window is minimized (requires restart);
  • Minimize to taskbar or taskbar notification area after sending (Mailer mode);
  • Interrupt screen saver when incoming messages arrive;
  • Minimize to taskbar or taskbar notification area after sending (Conference mode);
  • Flash keyboard Scroll Lock LED on new messages;
  • Display reminder balloon over notification area icon on new messages [ for 10/15/20/30/45/60 seconds | every 1/2/3/5/10/15 minutes | permanently ];
  • Preview incoming messages in balloons;
  • Mark previewed messages as Read;
  • Ignore all incoming messages;
  • Use direct NetBIOS calls for ActiveList maintenance;
  • Use Windows network enumeration routine for ActiveList maintenance;
  • Refresh ActiveList every (x) seconds;
  • By default, send outgoing messages using [ Logged on user name | Local computer name ];
  • Override default user name (requires restart);
  • Hide computer names in Contact Browser;
  • Load LanToucher Messenger at Windows startup;
  • Always start LanToucher Messenger in [ Mailer mode | Conference mode | Passive mode ];
  • Start minimized in [ Mailer mode | Conference mode | Passive mode ];
  • Always re-enable sound notifications at LanToucher Messenger startup;
  • Show Tip of the Day dialog on startup;
  • Pictures...;
  • Sounds...;
  • Macros...;
  • Status Messages...

Options: Interface

Always on Top

This option specifies whether other windows can cover up the main window of LanToucher Messenger.

Permanent message history

By default, LanToucher Messenger deletes its message history on exit. This option specifies whether LanToucher Messenger should save the message history before exit and reload it at startup next time.

Message separator

If this option is enabled, LanToucher Messenger uses the specified symbol or text as a separator between adjacent messages.

No confirmation when deleting all messages

Check this to disable the confirmation when you are about to delete all the messages.

No confirmation on program exit

Turn this on to disable the confirmation on LanToucher Messenger shutdown.

Close button (X) function [ Minimize | Close | Disabled ]

This option lets you override the close button (X) function. Select Minimize to minimize LanToucher Messenger each time when you click the (X) button. Select Close to exit LanToucher Messenger (default). Select Disabled to disable the (X) button.

Hot Key to open main window

Here you can change the default Hot Key for the main window.

Snap LanToucher Messenger main window to edges of desktop

If enabled, this option makes the LanToucher Messenger main window snap to the nearest edge of your desktop when you move it.

Show tooltips in windows

Enable this to turn on the tooltips (hints) for the controls (i.e. buttons, check boxes etc.). Each tooltip displays a brief description for a control.

Main window translucency effect

By adjusting this value, you can change the translucency amount for the main window.

Mini-ActiveList translucency effect

By adjusting this value, you can change the translucency amount for the Mini-ActiveList.

Background image

Select a picture to be used as a tiled background in LanToucher Messenger windows. You can find some sample tiles in the "C:\Program Files\Vital Sound Laboratory\LanToucher Messenger\Tiles" folder on your hard drive.

Options: Events

Sound notifications [ LanToucher Messenger sound scheme | Default Windows sound | System Speaker ]

This option specifies whether a notification sound is played when an incoming message arrives.

The built-in LanToucher Messenger sound scheme is the most suitable choice for sound notification. When this option is on, the original sound effects will be played via desktop stereo speakers or headphones connected to a DirectSound-compatible audio device (sound card). This option will also let you assign custom sounds to the global application events and even to individual contact's events. Note that the audio device must be properly installed and configured.

When the "Use default Windows sound" option is on, then the default Windows sound is played. The default Windows sound is a short "beep" sound effect which is played either via desktop stereo speakers or headphones connected to a DirectSound-compatible audio device (sound card) or via the System Speaker built-in you computer's case.

If you select the "Use System Speaker" radio button, then the System Speaker will be used for original sound effects playback.

Alert when ActiveList contacts come online/go offline

When this is on, LanToucher Messenger will notify you each time someone on you contact list connects or disconnects. You can customize the sounds for this type of notification under the Sounds tab. To assign custom sounds to specific contacts, use the "Customize" command from the ActiveList context menu.

Display sender's picture/portrait for at least (x) seconds after message arrival

Specify a time interval within which the picture of an incoming message can overlap the picture of currently selected item(s) in ActiveList.

Automatically select last sender in ActiveList

When this is on, LanToucher Messenger automatically changes the selection of ActiveList to the address of a user or computer that sent you a private message. This option has no effect on domain/workgroup messages. Note that while the user is composing an outgoing message or multiple computers have been selected, this function is blocked.

Deselect selected contacts after sending

When this is on, then each time after sending a message, the ActiveList selection is cleared.

Use ENTER for message sending (otherwise for line feed)

Normally, if you press ENTER when you are typing your message, you will begin typing from a new line. When this option is enabled, the message will be immediately sent upon pressing ENTER. Note that when this option is on, you should use the CTRL+ENTER combination in order to jump to the next line if you are composing your message.

Keep outgoing message in edit box after sending

This option specifies whether your just sent message is remaining in the edit box or it is deleted automatically.

Hide taskbar button when main window is minimized (requires restart)

Check this box to have LanToucher remove its button from the Windows taskbar when the main window is minimized to the taskbar notification area (system tray).

Options: Mailer

Minimize to taskbar or taskbar notification area after sending

This option, if used, forces LanToucher Messenger to automatically minimize the main window to the Windows taskbar or the taskbar notification area after you sent a message.

Interrupt screen saver when incoming messages arrive

When LanToucher Messenger is in Mailer mode and a new message arrives, LanToucher Messenger will attempt to stop the screen saver and display the new message. For this option to work correctly, the screen saver must NOT be password protected. If it is password protected, then the "Enter Password" dialog will appear and LanToucher Messenger will wait for you to enter your password, and then display the message once the password has been entered. Note that if your operating system is Windows XP/Windows Server 2003 or above, and the "On resume, display Welcome screen"/"On resume, password protect" option of the screen saver is on, this option has no effect.

Options: Conference

Minimize to taskbar or taskbar notification area after sending

This option, if used, forces LanToucher Messenger to automatically minimize the main window to the Windows taskbar or the taskbar notification area after you sent a message.

Flash keyboard Scroll Lock LED on new messages

When this is enabled, the Scroll Lock LED on your keyboard will blink when there are unread messages. This option may cause user input interrupts due to some OS limitations.

Display reminder balloon over notification area icon on new messages [ for 10/15/20/30/45/60 seconds | every 1/2/3/5/10/15 minutes | permanently ]

Check this box to allow reminder balloons to appear over the taskbar notification area icon. Reminder balloons will appear only when the main window is minimized and there are unread messages. Select the minimal time period during which the balloon would be shown. When there is no user activity for a long time, the balloon will be displayed longer then specified.

Preview incoming messages in balloons

Enable this to let the message type, sender, and body text be immediately displayed in the reminder balloon on new messages instead of just showing a new mail notification. To view the entire message text and/or reply to it, click the balloon and the main window will appear. To mark previewed messages as Read without having to open the main window, please click on the notification area icon with the right mouse button and select the corresponding menu item.

Mark previewed messages as Read

When this is on, all previewed messages are automatically marked as Read. Use this option with care as other notification types such as Flashing the notification area icon and Scroll Lock LED will not function.

Options: Passive

Ignore all incoming messages

Use this option to make Passive mode deaf, dumb and blind. No message logging, no activity. This insures your privacy.

Options: Misc

Use direct NetBIOS calls for ActiveList maintenance

When this is on, then LanToucher Messenger retrieves available users and computers using direct NetBIOS calls.

Use Windows network enumeration routine for ActiveList maintenance

When this is on, then LanToucher Messenger retrieves available computers using Windows network enumeration procedure.

Refresh ActiveList every (x) seconds

Provides a space for you to specify (in seconds) how often LanToucher Messenger should refresh the status of your ActiveList contacts. The default interval is 120 seconds (two minutes). The minimum accepted value is 20.

By default, send outgoing messages using [ Logged on user name | Local computer name ]

This option lets you specify the default sender of outgoing messages.

When the "Logged on user name" radio button is selected, then the user you are sending to will receive your message with your logged on user name (e.g. John Doe) in the "From" field.

If you select the "Local computer name" radio button, then the user you are sending to will receive your message with local machine name (e.g. Krypton) in the "From" field.

Override default user name (requires restart)

Allows you to override the default user name with a custom name. A messaging name can contain all alphanumeric characters except for the extended characters that are listed below. Names can contain a period, but names cannot start with a period.

`~!@#$^&*()+=[]{}\/:;,'"?<>|

Hide computer names in Contact Browser

Tick this box to exclude computer names from the list of online contacts in the Contact Browser dialog. Only user names will be shown, when this option is on.

Options: Startup

Load LanToucher Messenger at Windows startup

If this is on, LanToucher Messenger will start automatically each time Windows starts.

Always start LanToucher Messenger in [ Mailer mode | Conference mode | Passive mode ]

Normally, LanToucher Messenger starts in the last used mode. This option lets the user select the mode manually. I.e. if you set this option to "Always start in Conference mode", then LanToucher Messenger will always start in Conference mode etc.

Start minimized in [ Mailer mode | Conference mode | Passive mode ]

Select the modes in which LanToucher Messenger should start minimized.

Always re-enable sound notifications at LanToucher Messenger startup

If this is checked, LanToucher Messenger will automatically re-enable its sound notifications at startup.

Show Tip of the Day dialog on startup

When this is on, the "Tip of the Day" dialog is displayed each time LanToucher Messenger starts.

Options: Pictures

On this tab, you can customize the default contact picture and the company logo image.

Default contact picture/portrait

In this field, you can select a picture which should be displayed when a contact without picture is selected, or when items with different pictures are selected at once. You can find some sample pictures in the "C:\Program Files\Vital Sound Laboratory\LanToucher Messenger\Pictures" folder on your hard drive.

Company logo

In this field, you can select a company logo image. This image is always displayed when there is no selection in ActiveList. You can find some sample pictures in the "C:\Program Files\Vital Sound Laboratory\LanToucher Messenger\Pictures" folder on your hard drive.

Maintain aspect ratio

Check this to constrain proportions of the image. Clear this check box to have the image stretched to the frame edges.

Bilinear interpolation

Check this to display the image using interpolation of adjacent pixels. Bilinear interpolation may slightly improve visual quality especially with low-resolution images.

Options: Sounds

On this tab, you can customize sound notifications (i.e. the built-in LanToucher Messenger sound scheme). You can override either all of the sounds used by default or just some of them.

Options: Macros

On this tab, you can define custom messages (macros). You can use F4--F12 (except F10) function keys for the macros. To paste a predefined macro into your outgoing message, use the associated function key. You can use the context menu as well.

Options: Status Messages

On this tab, you can define custom status/away messages for Passive mode. To replace your current status message while you are in Passive mode, you can use F4--F12 (except F10) function keys or the context menu.


CONTACT BROWSER DIALOG

In this dialog you can see the contacts who are currently online and/or add one or more contacts to your ActiveList.

First select the browsing scope you wish to use by clicking the appropriate radio button in the Contacts to display control.

To add the selected contacts to your ActiveList, use the Add button. To refresh network status, click the Refresh button.

Contacts to display
All
Displays all online contacts.
Network
Displays online contacts within your local network. Note that under the Windows Vista (and above) operating system, you will be limited to seeing only the members of your current domain or workgroup.
Local
Displays online contacts on this machine; e.g. Remote Desktop/Terminal Services clients or other locally logged on users (Fast User Switching).

Push buttons
Select All
Selects all items in the list.
Select None
Deselects all items in the list.
Invert
Inverts the current selection of items.
Add
Adds the selected contact(s) to your ActiveList.
Refresh
Refreshes the list of available contacts.
Help
Opens up this Online Help.


CONTACT/GROUP SETTINGS DIALOG

In this dialog you can customize the selected contact(s) or group(s).

Contact/Group Settings: Appearance

On this tab, you can select a text color for the contact and/or assign a picture to the contact/group.

Message text color/Group color

Click the Select button to pick a text color for incoming messages from the contact. This setting also allows you to colorize your ActiveList groups.

Picture/portrait

Here you can assign a picture to the contact/group. When the contact/group is selected in the ActiveList control, its picture is displayed in Image panel just above ActiveList. You can find some sample pictures in the "C:\Program Files\Vital Sound Laboratory\LanToucher Messenger\Pictures" folder.

Maintain aspect ratio

Check this to constrain proportions of the image. Clear this check box to have the image stretched to the frame.

Bilinear interpolation

Check this to display the image using interpolation of adjacent pixels. Bilinear interpolation may slightly improve visual quality, especially with low-resolution images.

Contact Settings: Sounds

On this tab, you can assign custom sounds to various events for the contact(s). You can override either all of the sounds used by default, or just some of them.

Contact Settings: Misc

This tab allows you to customize miscellaneous settings for the contact(s).

Alert when this contact comes online/goes offline

When this is on, LanToucher Messenger will notify you each time this contact connects or disconnects. You can customize the sounds for this type of notification under the Sounds tab.

Send outgoing messages to this contact using [ Default | Logged on user name | Local computer name ]

This option lets you specify the sender of outgoing messages for the contact(s).

When the current selection is Logged on user name, then the contact you are sending to will receive your message with your logged on user name (e.g. Mike Davis) in the "From" field.

If you select the Local computer name radio button, then the contact you are sending to will receive your message with local machine name (e.g. Accounting2) in the "From" field.

When the Default radio button is selected, the "From" field of outgoing messages to the contact will always depend on the appropriate option on the Misc tab of the Options dialog.


GROUPS DIALOG

This dialog lets you create and manage custom groups of your contacts.

To create a new group, click Create. Then double-click the contact in the Contacts list box to add it to the group.

List Boxes
Contacts
Displays your ActiveList contacts.
Groups
Displays preset groups of contacts.
Members
Displays the members of the selected groups. If all of the selected groups contain a particular member, that member color is black. If only some of the groups contain a particular member, that member color is gray.

Push buttons
All
Selects all items in the list box.
None
Deselects all items in the list box.
Invert
Inverts the current selection of items.
Add
Adds the selected contact(s) to the selected group(s). If no group has been selected, you will be prompted to enter a new group name.
Find
Searches for groups that contain the selected contact(s).
Create
Creates a new empty group. The maximum length of a group name is 14 characters.
Delete
Deletes the selected group(s).
Copy
Makes a copy of the selected group and its members. You will be prompted to enter a new group name.
Merge
Merges two or more selected groups into a new one. You will be prompted to enter a new group name. The destination group will contain all the members from the source groups, the source groups will not be deleted.
Rename
Renames the selected group.
Remove
Removes the selected member(s) from the selected group(s).


BLOCKLIST DIALOG

In this dialog you can add one or more contacts to BlockList and remove the ones that have already been added to BlockList. Messages from the contacts on BlockList are not displayed.

To add one or more contacts to BlockList, make a selection in the Allowed Senders list, and then click Add.

To remove one or more blocked contacts from BlockList, make a selection in the Blocked Senders list, and then click the Remove button.

List Boxes
Allowed Senders
Displays currently allowed contacts.
Blocked Sender
Displays currently blocked contacts.

Push buttons
All
Selects all items in the list box.
None
Deselects all items in the list box.
Invert
Inverts the current selection of items.
Add
Adds the selected contact(s) to BlockList.
Remove
Removes the selected blocked contact(s) from BlockList.


UNDELIVERED MESSAGES DIALOG

In this dialog you can see the messages that did not reach some or all of the intended recipients.

In order to resend all the messages, click Select All, and then click Resend.

To permanently delete one or more undelivered messages, use the Remove button.

You can add or remove recipients to/from a single failed message as well as edit the original text. To do this, click the Edit button. Then you can try to send the message again.

Undelivered message list
Time
Displays the time stamp that was recorded with the event.
Recipient(s)
Displays the recipient(s) that failed to receive the message.
Message
Displays the original message text.

Push buttons
Select All
Selects all items in the list.
Select None
Deselects all items in the list.
Invert
Inverts the current selection of items.
Resend
Resends the selected message(s) to the failed recipients.
Remove
Removes the selected undelivered message(s) from the list.
Edit
Lets you edit the original message text and/or change the intended recipients, and then resend the message.
Help
Opens up this Online Help.

Pop up check box
Pop up
If this box is checked, this Dialog will show automatically each time you have a new undelivered or partially delivered message.


MENUS, TOOLBARS, AND HOT KEYS
File menu

(CTRL+S) | Save All Messages Saves all messages to a text file.
 | Delete All Messages Deletes all messages in Message History and Message Box.
(CTRL+P) | Print Sends the selected text or message to the Print queue of the selected printer.
 | Exit Exits the LanToucher Messenger application.

Edit menu

(CTRL+Z) | Undo Windows standard Undo function
(CTRL+X) | Cut Windows standard Cut function
(CTRL+C) | Copy Windows standard Copy function
(CTRL+V) | Paste Windows standard Paste function
 | Delete Windows standard Delete function
(CTRL+A) | Select All Windows standard Select All function

Message menu

(CTRL+\) | Undelivered Messages Opens the Undelivered Messages dialog.
(F2) | Switch View Switches between the Message History and the Message Box views.
(SHIFT+ALT+UP/SHIFT+ALT+LEFT) | First Message Displays first message.
(ALT+UP/ALT+LEFT) | Previous Message Displays previous message.
(ALT+DOWN/ALT+RIGHT) | Next Message Displays next message.
(SHIFT+ALT+DOWN/SHIFT+ALT+RIGHT) | Last Message Displays last (most recent) message.
(CTRL+N) | New Message/Delete Selection Clears the New Message field. If there is selected text, it just deletes the selection.
(CTRL+ALT+C) | Copy Message/Selection to Clipboard Copies the current message or selected text to Windows Clipboard.
(CTRL+ALT+V) | Paste Message/Selection into New Message Pastes the current message or selected text into the New Message field at the current cursor position.
(CTRL+D) | Delete Message Permanently deletes the current message from Message History and Message Box.
(CTRL+F) | Find Opens the Search dialog.
 | AutoScroll Enables or disables AutoScroll. When AutoScroll is enabled, LanToucher Messenger will always show you the last (sent or received) message when it is added to the message base. As a result, the current message number will reset. Disable AutoScroll, if you wish to scroll the messages manually.
 | Timestamps Enables or disables timestamps in message headers. When this is enabled, all messages will have the time and date of sending/arrival at the beginning.
 | Message Separators (Message History view) Enables or disables message separators between adjacent messages. Enable this option for better readability of messages in the Message History view.

ActiveList menu

(CTRL+F5) | Refresh ActiveList/Network Refreshes the presence status of your ActiveList contacts.
(F3) | Find/Add Contacts Opens the Contact Browser dialog.
(CTRL+M) | Customize Contact/Group Opens the Settings dialog for the selected contact(s)/group(s).
(CTRL+G) | Manage Groups Opens the Groups dialog.
(CTRL+B) | Manage BlockList Opens the BlockList dialog.
(ALT+A) | Select All/Select None Selects all ActiveList items if none or some items have been selected. Clears selection if all ActiveList items have been selected.
(ALT+X) | Invert Selection Selects all unselected items in ActiveList and vice versa.
(SHIFT+CTRL+ALT+UP) | Move Up Permanently moves the selected items one position up the list.
(SHIFT+CTRL+ALT+DOWN) | Move Down Permanently moves the selected items one position down the list.
(ALT+INS) | Add Contact/Group/IP Adds the contact/group you specified in the ActiveList Address Box to ActiveList. A group name must have the plus sign at the beginning (for example, +SALES). You can use IP addresses as well. LanToucher Messenger will automatically search those IP addresses for available messaging aliases, if any.
(ALT+DEL) | Remove Contact/Group Permanently removes the selected item(s) from ActiveList.
(SHIFT+F3) | Import ActiveList Imports (adds) contacts/groups to ActiveList from a text file.
 | Export ActiveList Exports (saves) ActiveList contacts/groups to a text file. Note that group elements (members) are not saved.
 | Export ActiveList (Selected) Exports (saves) currently selected ActiveList contacts/groups to a text file. Note that group elements (members) are not saved.
 | Sort by Name Sorts the items of ActiveList alphabetically.

Settings menu

 | Sound Notifications Enables or disables application-wide sound notifications on events.
 | Contact Pictures Enables or disables Image panel above ActiveList.
 | Left-side Interface Layout Switches between the left-side and the right-side user interface layouts.
 | Translucent Window Enables or disables the translucency effect for the Main window. This effect is unavailable under legacy operating systems such as Windows 95, 98, ME, or NT4.
 | AutoSnap Window Enables or disables the AutoSnap feature. When enabled, AutoSnap lets you "stick" the Main window to the edges of Desktop.
 | Always On Top Window Enables or disables the Always On Top mode. When this is on, LanToucher Messenger Main window will float over all other windows.
(CTRL+O) | Options Opens the Options dialog.
 | Message Font Opens the font selection dialog, where you can select the font you wish to use in the messages.
 | Print Setup Opens the standard Print Setup dialog. In the Print Setup dialog, you can select the printer, page orientation, and paper size.
 | Allow Only ActiveList Contacts If this option is enabled, you will not be able to send messages to contacts who are not on your ActiveList. All incoming messages from such contacts are ignored.
 | Allow Domain/Workgroup Messages Enables or disables Private mode. While in Private mode, LanToucher Messenger ignores any incoming domain/workgroup messages, and allows you to send only private messages to others.

Help menu

Contents
Calls this online help.
Tip of the Day
Shows the "Tip of the Day" dialog.
Online Registration
Opens the Online ordering form for LanToucher Messenger (requires an Internet connection).
LanToucher Messenger Home Page
Opens the LanToucher Messenger home page (requires an Internet connection).
Enter Registration Information
Opens the Product Registration dialog where you can enter your license details.
Technical Support
Starts the default e-mail client, and then creates a new e-mail message to Vital Sound Laboratory support.
About LanToucher Messenger
Opens the About LanToucher Messenger dialog.

Main toolbar

A. | Enable/disable sound notifications Enables or disables application-wide sound notifications on events.
B. | Enable/disable pictures Enables or disables Image panel above ActiveList.
C. | Right-side/Left-side interface layout Switches between the left-side and the right-side user interface layouts.
D. | Enable/disable translucency Enables or disables the translucency effect for the Main window. This effect is unavailable under legacy operating systems such as Windows 95, 98, ME, or NT4.
E. | Enable/disable AutoSnap Enables or disables the AutoSnap feature. When enabled, AutoSnap lets you "stick" the Main window to the edges of Desktop.
F. | Enable/disable Always On Top Enables or disables the Always On Top mode. When this is on, LanToucher Messenger Main window will float over all other windows.
G. | Quick options Provides quick access to the Quick Options menu.

Message Options toolbar

A. | Enable/Disable AutoScroll Enables or disables AutoScroll. When AutoScroll is enabled, LanToucher Messenger will always show you the last (sent or received) message when it is added to the message base. As a result, the current message number will reset. Disable AutoScroll, if you wish to scroll the messages manually.
B. | Enable/Disable timestamps in message headers Enables or disables timestamps in message headers. When this is enabled, all messages will have the time and date of sending/arrival at the beginning.
C. | Enable/Disable message separators (Message History view) Enables or disables message separators between adjacent messages. Enable this option for better readability of messages in the Message History view.

Message toolbar

A. (F2) | Toggle Message History/Message Box view Switches between the Message History and the Message Box views.
B. | Current message number (Message Scroller) Displays message by its number. You can use your mouse wheel, keyboard, or the dropdown menu.
C. (CTRL+D) | Delete current message Permanently deletes the current message from Message History and Message Box.
D. (SHIFT+ALT+UP/SHIFT+ALT+LEFT) | First message Displays first message.
E. (ALT+UP/ALT+LEFT) | Previous message Displays previous message.
F. (ALT+DOWN/ALT+RIGHT) | Next message Displays next message.
G. (SHIFT+ALT+DOWN/SHIFT+ALT+RIGHT) | Last message Displays last (most recent) message.
H. (CTRL+ALT+C) | Copy current message/selection to clipboard Copies the current message or selected text to Windows Clipboard.
I. (CTRL+P) | Print current message/selection Sends the selected text or message to the Print queue of the selected printer.
J. (CTRL+F) | Search for a specific word or phrase Opens the Search dialog.
K. (CTRL+N) | New message/Delete selection Clears the New Message field. If there is selected text, it just deletes the selection.
L. (CTRL+Z) | Undo Windows standard Undo function
M. (CTRL+X) | Cut Windows standard Cut function
N. (CTRL+C) | Copy Windows standard Copy function
O. (CTRL+V) | Paste Windows standard Paste function
P. (CTRL+ALT+V) | Paste current message/selection into New Message Pastes the current message or selected text into the New Message field at the current cursor position.
Q. (CTRL+\) | View/resend/discard undelivered messages Opens the Undelivered Messages dialog.

ActiveList toolbar

A. (CTRL+F5) | Refresh ActiveList/Network Refreshes the presence status of your ActiveList contacts.
B. (F3) | Find/Add Contacts Opens the Contact Browser dialog.
C. (CTRL+M) | Customize Contact/Group Opens the Settings dialog for the selected contact(s)/group(s).
D. (CTRL+G) | Manage Groups Open the Groups dialog.
E. (ALT+A) | Select All/Select None Selects all ActiveList items if none or some items have been selected. Clears selection if all ActiveList items have been selected.
F. (ALT+X) | Invert Selection Selects all unselected items in ActiveList and vice versa.
G. (SHIFT+CTRL+ALT+UP) | Move Up Permanently moves the selected items one position up the list.
H. (SHIFT+CTRL+ALT+DOWN) | Move Down Permanently moves the selected items one position down the list.
I. (CTRL+B) | Manage BlockList Opens the BlockList dialog.
J. (ALT+DEL) | Remove Contact/Group Permanently removes the selected item(s) from ActiveList.
K. (ALT+INS) | Add Contact/Group/IP Adds the contact/group you specified in the ActiveList Address Box to ActiveList. A group name must have the plus sign at the beginning (for example, +SALES). You can use IP addresses as well. LanToucher Messenger will automatically search those IP addresses for available messaging aliases, if any.

Context menus

This context menu pops up when you click the Quick Options button on the Main toolbar.

Allow Only ActiveList Contacts
If this option is enabled, you will not be able to send messages to contacts who are not on your ActiveList. All incoming messages from such contacts are ignored.
Allow Domain/Workgroup Messages
Enables or disables Private mode. While in Private mode, LanToucher ignores any incoming domain/workgroup messages, and allows you to send only private messages to others.
Minimize after Sending (Mailer mode/Conference mode)
When enabled, this option forces LanToucher Messenger to minimize to the Windows taskbar or the taskbar notification area after you sent a message. Note that this option is mode-specific (Mailer and Conference modes only).
Keep outgoing message after sending
This option specifies whether your just sent message is remaining in the edit box or it is deleted automatically.
Contact online/offline alert
When enabled, LanToucher Messenger will notify you each time someone on you contact list connects or disconnects.

This context menu is available when you click the LanToucher Messenger icon in the taskbar notification area (system tray) with the right mouse button.

Sound
Enables or disables application-wide sound notifications on events.
Mailer mode
Switches LanToucher Messenger to Mailer mode.
Conference mode
Switches LanToucher Messenger to Conference mode.
Passive mode
Switches LanToucher Messenger to Passive mode.
Status Message
Switches LanToucher Messenger to Passive mode, enables AutoRespond, and sets the selected status message.
Open
Restores the LanToucher Messenger Main window and brings it to the foreground.
Hide (Minimize)
When the Main window is in foreground, the Hide (Minimize) command lets you minimize LanToucher Messenger to the Windows taskbar or the taskbar notification area.
Show/Hide ActiveList
Shows or Hides Mini-ActiveList when the LanToucher Messenger Main window is in the minimized state.
Show Undelivered messages
Opens the Undelivered Messages dialog.
Mark All Messages as Read
Sets the count of all unread messages to zero.
Exit
Exits the LanToucher Messenger application.

This context menu is available in the ActiveList control.

(CTRL+M) | Customize Opens the Settings dialog for the selected contact(s)/group(s).
(CTRL+G) | Manage Groups Opens the Groups dialog.
(SHIFT+F3) | Import ActiveList Imports (adds) contacts/groups to ActiveList from a text file.
 | Export ActiveList Exports (saves) ActiveList contacts/groups to a text file. Note that group elements (members) are not saved.
 | Export ActiveList (Selected) Exports (saves) currently selected ActiveList contacts/groups to a text file. Note that group elements (members) are not saved.
 | Sort by Name Sorts the items of ActiveList alphabetically.

This context menu is available in Message History and Message Box.

(CTRL+ALT+V) | Copy to New Message Copies and then Pastes the current message or selected text into the New Message field at the current cursor position.
(CTRL+C) | Copy Windows standard Copy function
(CTRL+A) | Select All Windows standard Select All function
 | Delete All Messages Deletes all messages in Message History and Message Box.

This context menu is available in the New Message field.

 | Macro Inserts the selected Macro into the New Message field at the current cursor position.
 | Status Message Switches LanToucher Messenger to Passive mode, enables AutoRespond, and sets the selected status message.
(CTRL+Z) | Undo Windows standard Undo function
(CTRL+X) | Cut Windows standard Cut function
(CTRL+C) | Copy Windows standard Copy function
(CTRL+V) | Paste Windows standard Paste function
 | Delete Windows standard Delete function
(CTRL+A) | Select All Windows standard Select All function

This context menu is available in the edit box in the AutoRespond field in Passive mode.

 | Status Message Enables AutoRespond and sets the selected status message.
(CTRL+Z) | Undo Windows standard Undo function
(CTRL+X) | Cut Windows standard Cut function
(CTRL+C) | Copy Windows standard Copy function
(CTRL+V) | Paste Windows standard Paste function
 | Delete Windows standard Delete function
(CTRL+A) | Select All Windows standard Select All function


ABOUT DIALOG

The about dialog displays the release version number, copyrights and other information. If you have already registered LanToucher Messenger, you will find your registration name right below the version information (instead of the evaluation reminder).


COMMAND LINE REFERENCE

LanToucher Messenger has a command line interface that allows the user to interact with the LanToucher Messenger application (primary instance) from the command shell (command prompt). For example, you can use scripts to send announcements or automate the management of ActiveList.

To access the Windows command shell, please follow these steps:

1. Press Win+R

2. If you are running Windows NT 4/2000/XP/Vista/7/8/10/Server 2003/Server 2008/Server 2012/Server 2016, then type "cmd" in the space provided. If you are running Windows 95/98/ME, then type "command" in the space provided. A command prompt window will appear.

3. Use the commands described below to send messages and add or remove contacts.

Notes

  • For the command line interface to work, a local copy of LanToucher Messenger must be running.

/SEND switch

You can use the /SEND switch to send single messages to individual contacts (users or computers) and preset groups.

Usage:

ltim /SEND RECIPIENTNAME word1 [word1] [word2] [wordn]

Usage examples:

ltim /send mike Hello

ltim /send "john doe" Hello, John!

ltim /send accounting_pc Please send me my files by e-mail.

ltim /send +operators The maintenance procedure on the server has completed. Please reboot your machines.

/NOTIFY switch

With the /NOTIFY switch a system administrator can pre-configure custom scripting, the Windows Task Scheduler service, or other mechanisms to send local notification messages to the user (i.e. the messages are sent directly to the active instance of the application from the local user account environment bypassing networking.)

Usage:

ltim /NOTIFY VIRTUALSENDERNAME word1 [word1] [word2] [wordn]

Usage examples:

ltim /notify database Warning! Connection to database lost.

ltim /notify "order server" Payment for order #5412 confirmed.

ltim /notify "reminder" You have an appointment in 10 minutes.

/ADD switch

The /ADD switch allows you to add new contacts (users and computers) to ActiveList.

Usage:

ltim /ADD USERNAME

Usage examples:

ltim /add mike

ltim /add "john doe"

ltim /add accounting_pc

/REMOVE switch

The /REMOVE switch lets you permanently remove existing contacts (users and computers) from ActiveList.

Usage:

ltim /REMOVE USERNAME

Usage examples:

ltim /remove mike

ltim /remove "john doe"

ltim /remove accounting_pc

/SHOW switch

The /SHOW switch brings the main window to the front. Can be used with the /NOTIFY switch.

Usage:

ltim /SHOW

/HIDE switch

The /HIDE switch minimizes the main window to the taskbar or the taskbar notification area.

Usage:

ltim /HIDE

/CLOSE switch

You can use the /CLOSE switch to shut down the application at any given moment.

Usage:

ltim /CLOSE


GETTING STARTED -- LEARNING THE BASICS

This brief tutorial will show you the basics of how to use LanToucher Messenger. Just follow these 4 easy steps:

Step 1:
  • First of all, start LanToucher Messenger if it is not already running. To start LanToucher Messenger, double-click the LanToucher Messenger icon on the desktop or use the CTRL+ALT+` shortcut key.
  • If LanToucher Messenger is in the minimized state, restore it by clicking its icon in the taskbar notification area or using the CTRL+` global shortcut.
  • Compose your outgoing message in the edit box named New Message.

Step 2:
  • In the ActiveList Address Box, specify the user or computer you want to send the message to.
  • To add the user or computer to the contact list (ActiveList), double-click the Address Box or click the Plus toolbar button.
  • To add more contacts to your ActiveList, open the Contact Browser dialog by hitting F3 or clicking the Find/add contacts button on the ActiveList toolbar. You can load contacts from a text file by pressing SHIFT+F3.
  • If you want to send your message to multiple recipients, just hold down the CTRL key while clicking on a particular recipient (on ActiveList) to select/deselect it.

Step 3:
  • You can send messages to individual recipients as well as to multiple recipients simultaneously.
  • Click the Send button or just hit ENTER to send the message to the recipient(s) you specified.
  • Click the Send To Domain button to broadcast the message to all users of your domain/workgroup.
  • After the message has been sent, LanToucher Messenger adds it to Message History and Message Box.
  • To switch between the Message History view and the Message Box view, use F2 or the Toggle Message History/Message Box view button on the Message toolbar.

Step 4:
  • Click the Minimize button or hit ESC to minimize LanToucher Messenger to the Windows taskbar.

For more information on ActiveList, Preset Groups, Macros, Status Messages, Message Forwarding, and other features of LanToucher Messenger, please refer to the LanToucher Messenger Online Help.


STATE MODES

LanToucher Messenger offers three state modes including Mailer mode, Conference mode, and Passive mode. Each state mode represents a different messenger behavior. To switch between the modes at runtime, you can use the Mode Selector control or the appropriate global shortcut keys.

Mailer Mode

This mode is the default LanToucher Messenger mode. In Mailer mode, LanToucher Messenger resides in the taskbar notification area and pops up on all incoming messages.

To switch to Mailer mode, use the Mode Selector or the CTRL+ALT+SHIFT+F1 global shortcut key.

Conference Mode

Conference mode lets you use LanToucher Messenger as a handy conference tool for your corporate or home network.

To switch to Conference mode, use the Mode Selector or the CTRL+ALT+SHIFT+F2 global shortcut key.

Passive Mode

Activate this mode while you are away/busy and unable to reply to incoming messages. You can use the AutoRespond check box that will allow LanToucher Messenger to automatically send a status message like "Sorry, I'm away/busy at the moment..." to each incoming message. You can predefine your status messages on the Status Messages tab of the program options dialog. Note that in this mode, no one can get you even if it is very urgent. When LanToucher Messenger is minimized, its system tray icon will continuously flash if there is one or more unread messages. If you enable the Ignore all incoming messages option, LanToucher Messenger will not accept any messages in Passive mode at all.

To switch to Passive mode, use the Mode Selector or the CTRL+ALT+SHIFT+F3 global shortcut key. To switch to Passive mode and enable a status message (AutoRespond), press CTRL+ALT+SHIFT+[F4--F12 (except F10)] at the same time.

State Mode Comparison Chart
Function | Mailer Mode | Conference Mode | Passive Mode
Send messages | YES | YES | NO
Receive messages | YES | YES | YES
Status messages | NO | NO | YES
Pop up on message receipt | YES | NO | NO
Minimize to taskbar or taskbar notification area after sending | OPTION* | OPTION* | NO
Sound alert on message receipt | YES | YES | NO
Interrupt screen saver on new messages | YES | NO | NO
Taskbar notification area icon animation on new messages (when minimized) | NO | YES | YES
Keyboard Scroll Lock LED flashing on new messages (when minimized) | NO | YES | NO
Reminder/preview balloon over notification area icon on new messages (when minimized) | NO | YES | NO
Taskbar button flashing on new messages (when NOT minimized) | NO | YES | NO
Automatic Message Forwarding | NO | NO | YES

* Hold down SHIFT to inverse


USING LANTOUCHER MESSENGER

Adding New Contacts to ActiveList

There are two ways to add new contacts to your ActiveList. One way is to pick up some of the available contacts in Contact Browser, the other way is to add contacts manually.

To open Contact Browser, hit F3 or use the Find/add contacts button on the ActiveList toolbar, or the Find/Add Contacts command in the ActiveList menu.

To add a contact manually, just type the name in the Address Box below the ActiveList control and then press ALT+INSERT or click the Add Contact/Group/IP button on the ActiveList toolbar, or select the Add Contact/Group/IP command from the ActiveList menu.

When you add an IP address, it will automatically translate to one or more messaging names, if the remote computer is capable of receiving SMB/CIFS messages.

Sending Private messages

To send a private message (whisper), click on the New Message field and type in your message. Then, move to the ActiveList control using TAB, or just click on it, and then select the recipient(s) for your message or specify the recipient in the Address Box below.

Click the Send button or just hit ENTER to send your message to the recipient(s).

When you send messages, they are automatically added to Message History and Message Box.

Sending Domain/Workgroup messages

To send a domain/workgroup message (broadcast), you should use the Send To Domain button.

It is not required to specify recipients when you are sending to everyone in your domain/workgroup.

Setting up away messages

LanToucher Messenger offers a nice "Away" feature. Just set up the status message you wish to be automatically sent as a reply to each incoming private message while you are busy or out of the office. To set up a custom status message, switch LanToucher Messenger to Passive mode, then activate the AutoRespond check box, type in the message you want to leave in the space provided, or select a message from the Passive mode pop-up menu.

Minimizing LanToucher Messenger to the taskbar or the taskbar notification area

After you have received or sent an instant message, you may want to minimize LanToucher Messenger to the Windows taskbar or the taskbar notification area (system tray) and get back to your work. To minimize LanToucher Messenger, click the Minimize button at the bottom of its window, or just press the ESC key. If you place the mouse pointer over the LanToucher Messenger tray icon, a tooltip will appear. The tooltip indicates the messenger state and the count of unread messages (if there are any).

In order to restore LanToucher Messenger, click the system tray icon or press CTRL + `.

Deleting All Messages

Use this function if you wish to clear the entire message base. Note that the messages are deleted permanently, so make sure you have made a backup of your messages. To delete all messages, use the Delete All Messages command from the File menu or the Message History/Message Box context menu.

Saving All Messages

If you wish to save your message base to a file for future reference, use the Save All Messages command from the File menu. You can save the messages either to a plain text document (.TXT) or to a rich text document (.RTF). To view the saved messages, use Notepad or any other application capable of displaying text documents.

Message Forwarding

Use message forwarding to forward all incoming messages to another user or computer on your network.


Windows Vista/Server 2008 Network Discovery and File Sharing

ENABLING NETWORK DISCOVERY AND FILE SHARING IN WINDOWS VISTA AND WINDOWS SERVER 2008

For the LanToucher software to operate correctly under Windows Vista or Windows Server 2008, both Network Discovery and File Sharing must be enabled.

To do this, just follow these 3 easy steps:

Step 1:
  • On the Start menu, click Control Panel.
  • Go to Network and Internet.
  • Select Network and Sharing Center to view the current status of Sharing and Discovery.

  • If either or both Network discovery and File sharing are Off, then proceed to Step 2.

Step 2:
  • To enable Network discovery, select Turn on network discovery, and then click Apply.
  • To enable File sharing, select Turn on file sharing, and then click Apply.

Step 3:
  • After you have successfully enabled Network Discovery and File Sharing, the Sharing and Discovery panel should look like the images below.

Windows Vista:

Windows Server 2008:

  • Now you are ready to use LanToucher Messenger!


Windows 7/8/10/Server 2008 R2/Server 2012/Server 2016 Network Discovery and File Sharing

ENABLING NETWORK DISCOVERY AND FILE AND PRINTER SHARING IN WINDOWS 7, WINDOWS 8, WINDOWS 10, WINDOWS SERVER 2008 R2, WINDOWS SERVER 2012, AND WINDOWS SERVER 2016

For the LanToucher software to operate correctly under Windows 7, Windows 8, Windows 10, Windows Server 2008 R2, Windows Server 2012, or Windows Server 2016, both Network Discovery and File And Printer Sharing must be enabled.

To do this, just follow these 2 easy steps:

Step 1:
  • On the Start menu, click Control Panel.
  • Go to Network and Internet.
  • Select Network and Sharing Center
  • Click Change advanced sharing settings to view the current status of Sharing and Discovery.

  • If either or both Network discovery and File and printer sharing are Off, then proceed to Step 2.

Step 2:
  • To enable Network discovery, select Turn on network discovery.
  • To enable File and printer sharing, select Turn on file and printer sharing.
  • Click Save changes for the settings to take effect.

  • Now you are ready to use LanToucher Messenger!


INFORMATION FOR CORPORATE ADMINISTRATORS

This document contains additional information for corporate/network administrators. The document covers the following topics:
LanToucher Messenger Policy, QUERY commands, LanToucher Observer, Startup procedure

LanToucher Messenger Policy

Corporate administrators who need to customize the default LanToucher Messenger functionality for the end-users can use the LanToucher Messenger policy keys. The policy keys must be placed in the LanToucher Messenger installation folder. By default, LanToucher Messenger is installed in the following location:

C:\Program Files\Vital Sound Laboratory\LanToucher Messenger

A policy key is an empty file with a specific filename. The filename format is "RESTRICTION.Policy".

For example: If there is a key with the name of "OptionsDisabled.Policy" in the LanToucher Messenger folder, the program options dialog will not be available for all LanToucher Messenger users on this machine or Terminal server.

You may want to create user-specific policy key files using the "USERNAME.RESTRICTION.Policy" format, so that the restriction will apply only to those Windows users.

For example: If John Doe is logged onto his machine and there is a key with the name of "John Doe.ActiveListChangeDisabled.Policy" in the LanToucher Messenger installation folder, the user will be unable to change the contents of his ActiveList or send messages to recipients not on the list.

LanToucher policy keys are very useful, especially if the LanToucher Messenger application is started from a network share and it is required to apply a restriction for all LanToucher Messenger users.

Available Keys:

ExitDisabled -- The user cannot shut down the application. The main window's Close button as well as the Close command of the application's system menu is unavailable.

OptionsDisabled -- The user cannot alter the program options (settings). However, the user will have access to "Pictures", "Sounds", "Macros", and "Status Messages" tabs.

MessageDeletionDisabled -- The user is not able to delete one or more messages.

ModeSwitchDisabled -- A key with this restriction keyword fully prevents the user from changing the messenger mode at runtime. For example, if the administrator has set Passive mode and enabled this restriction afterwards, the user can only read incoming messages.

ToggleViewDisabled -- The user cannot switch between Message History and Message Box views.

ActiveListChangeDisabled -- The user cannot add or remove items (computers/domains/workgroups) to/from ActiveList. The user will not be able to send or receive messages to/from recipients not on the list as well.

SendToDomainDisabled -- The Send To Domain button is unavailable (hidden) for the user

Note

  • If the user machine is running Windows NT 4, Windows 2000, Windows XP, Windows Vista, Windows 7, Windows 8, Windows 10, Windows Server 2003, Windows Server 2008, Windows Server 2012, or Windows Server 2016 operating system, or the LanToucher Messenger application is started from a network share, it is strongly recommended to set the access permissions to read-only for the policy keys or to the shared folder in order to prevent experienced users from keys deletion.

Notification (QUERY) commands

LanToucher Messenger has some additional capabilities which can be used to gain state and version information of LanToucher Messenger running on a remote machine.

QUERY_STATUS -- Send this keyword to a remote computer running LanToucher Messenger to get the current mode, and the count of unread messages.

QUERY_VERSION -- Send this command to a remote machine running LanToucher Messenger to get the version information.

LanToucher Observer for LanToucher Messenger

LanToucher Observer is a simple statistics tool for LanToucher Messenger. It is designed to help corporate or network administrators automatically gain some useful information from computers running LanToucher Messenger (current user name, version information, the count of unread messages the user has, the current state mode, and user's status message).

LanToucher Observer is not a standalone product, so you should use it on a LAN with at least one running copy of LanToucher Messenger.

You can download LanToucher Observer from our web site at http://www.vitalsoundlab.com. Note that LanToucher Observer requires LanToucher Messenger 1.0.9 or above.

LanToucher Messenger startup procedure (Windows NT 4/2000/XP/Server 2003)

The NT-based operating systems, such as Windows NT 4, 2000, XP and Server 2003 have the built-in Messenger service. By default, the service is always running as it transmits "net send" and Alerter service messages between clients and servers but it has no GUI (Graphical User Interface). LanToucher Messenger, like many other third-party instant messengers, needs the service to be stopped prior to loading the messenger itself. When LanToucher Messenger is started, it attempts to stops the NT Messenger service so that can take up to 10-15 seconds. If it is unable to stop the service (there may be several reasons), LanToucher Messenger shuts down with the appropriate error dialog. If you use LanToucher Messenger as the default communication application, you may want to disable the service permanently, as it require computer memory and can affect overall performance and LanToucher Messenger startup time.


UNINSTALLING

To remove the LanToucher Messenger application from your system, please follow the steps:

  • Open the Windows Control Panel.
  • Open the Programs and Features (Add/Remove Programs) applet.
  • Find the application name in the list and select it.
  • Follow the instructions in the Uninstall Wizard.


END-USER LICENSE AGREEMENT

VITAL SOUND LABORATORY
END-USER LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY:

1. GENERAL

This End-User License Agreement ("EULA") is a legal agreement between you and Vital Sound Laboratory for the LanToucher Messenger software, which may include computer software and associated media, electronic documentation and printed materials ("The Software"). By installing, copying, distributing or otherwise using The Software you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, you must not install, use or distribute The Software, and you must destroy all copies of The Software that you have.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold and always remains the property of Vital Sound Laboratory.

2. LICENSING

If you have not paid the registration fee for The Software, you are hereby granted a non-exclusive evaluation license to use The Software as described in Sections 1, 2.1 and Sections 3 - 10 below.

If you have paid the registration fee for The Software, you are hereby granted a non-exclusive license to use The Software as described in Sections 1, 2.2 and Sections 3 - 10 below.

2.1. EVALUATION LICENSE

You may:

Subject to the terms of this EULA, use The Software for evaluation purposes without charge for a period of thirty (30) days only ("Evaluation Period"). The Evaluation Period commences when you first install or use The Software, and expires exactly thirty (30) days later.

You may not:

Use The Software after the Evaluation Period has expired without payment of the registration fee to Vital Sound Laboratory.

Use of The Software after the Evaluation Period has expired requires payment of a registration fee of U.S. $11.55 to Vital Sound Laboratory. For more information about payment methods, please see ORDER.TXT, included with The Software.

Use of The Software after the Evaluation Period has expired is in violation of this EULA, and international copyright laws.

2.2. REGISTERED LICENSE

You may:

Subject to the terms of this EULA, use one copy of The Software on one computer. The primary user of the computer on which The Software is installed may make a second copy for his or her exclusive use on a portable or home computer.

You may also store or install a copy of The Software on a storage device, such as a network server, used only to install or run The Software on other computers over an internal network; however, you must acquire and dedicate a separate license for each separate computer on which The Software is installed or run from the storage device. A license for The Software may not be shared or used concurrently on different computers. You may also make one backup copy of The Software, provided your backup copy is not installed or used on any computer. You may not transfer the rights to a backup copy unless you transfer all rights in The Software as provided under Section 4.

You may not:

Disclose to third parties, or publish your registration details via electronic or other means.

3. RESTRICTIONS

You may not reverse engineer, decompile, or disassemble The Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

You may not rent, lease, or lend The Software except as described in Section 7 below.

4. TRANSFER OF RIGHTS

You may permanently transfer all of your rights under this EULA, provided you retain no copies of The Software, you transfer all of The Software (including all component parts, documentation upgrades, and this EULA), and the recipient agrees to the terms of this EULA. If The Software is an upgrade, any transfer must include all prior versions of The Software.

5. TERMINATION

Without prejudice to any other rights, Vital Sound Laboratory may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of The Software.

6. COPYRIGHT

All title, including but not limited to copyrights, in and to The Software and any copies thereof are owned by Vital Sound Laboratory. All title and intellectual property rights in and to the content which may be accessed through use of The Software is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by Vital Sound Laboratory.

7. LIMITED WARRANTY

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, VITAL SOUND LABORATORY DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR APARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. VITAL SOUND LABORATORY DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE.

8. LIMITATIONS OF REMEDIES AND LIABILITY

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL VITAL SOUND LABORATORY BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, BUSINESS INTERRUPTION, LOSS OF INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF VITAL SOUND LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, VITAL SOUND LABORATORY ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE PRODUCT OR U.S. $5.00. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

9. DISTRIBUTION

You are hereby licensed to make as many copies of the installation package for The Software as you wish; give exact copies of the original installation package for The Software to anyone; and distribute the original installation package for The Software in its unmodified form via electronic or other means. The Software must be clearly identified as an evaluation version where described.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing The Software including documentation with other products (commercial or otherwise) without prior written permission from Vital Sound Laboratory. You are also prohibited from distributing components of The Software other than the complete original installation package.


ORDERING INFORMATION

LanToucher Messenger is "Try-Before-You-Buy" software. You may evaluate the software for a period of 30 days, after which you must register it. During the evaluation period, the software has no functional limitations and is identical to the licensed version. If you liked the software, you are required to purchase a permanent license to continue using the software beyond the evaluation period.

Why Register?
  • Lifetime License Once you have purchased a license, you can use our software without limitations. Your personalized copy of the software never expires or needs to be renewed. Purchase one license for each computer you plan to use the software on.
  • Free Lifetime Upgrades We are constantly working at enhancing our software to make it easier to use while expanding its functionality. So if you ever wish to upgrade to a newer version, you are welcome to visit our website and get the most recent release of the software.
  • Free Technical Support Whenever you encounter technical problems, just drop us an E-mail and our support team will be happy to help you out.
  • 45-Day Unconditional Money-Back Guarantee Our business depends on satisfied customers. If for any reason you are not completely satisfied, please let us know within 45 days of your purchase, and we will refund the full purchase price immediately. No questions asked.
100% Money-Back Guarantee

Payment Methods

For your convenience we accept the following payment methods:

  • Credit Card
  • PayPal
  • WebMoney
  • AliPay
  • Giro
  • Bank/Wire Transfer with Invoice
  • Check/Money Order
  • Purchase Order
  • Fax - Credit Card
  • Phone - Credit Card

Credit Cards and PayPal logos

Pricing and Volume Discounts

The more you buy, the more you save. Take advantage of the quantity discount pricing on LanToucher Messenger!

Number of Users | Price per User
1 to 5 users | $11.55 per user
6 to 9 users | $10.25 per user
10 to 29 users | $9.35 per user
30 to 49 users | $8.45 per user
50 to 99 users | $7.65 per user
100 to 299 users | $6.95 per user
300+ users | $6.20 per user
Site license* (unlimited number of concurrent users) | Contact us

Price Calculator

Please use this calculator to get an instant quote.

Quantity | Unit Price | Total Price
Buy LanToucher Messenger from DR MyCommerce, Inc.

All prices are in US Dollars.

* Site license covers a single organization for an area of up to one hundred miles (160 km) in radius.

If you are interested in a site license, please contact us at sales@vitalsoundlab.com.

Order LanToucher™ Messenger today!


Customer and Technical Support, Feedback

CUSTOMER AND TECHNICAL SUPPORT

Before contacting Customer Support, please consult the help file. It contains the answers to some of our most frequently asked questions and may quickly and easily provide a solution to your difficulty. Also, please ensure you have the latest version of the software. The latest version of LanToucher Messenger can be downloaded from our web site at http://www.vitalsoundlab.com/downloads.

If you are still experiencing problems, please feel free to contact our Customer Support representatives at support@vitalsoundlab.com. Or you can visit our web site and fill out the online form at http://www.vitalsoundlab.com/support.

Please ensure that your computer system meets the minimum system requirements that are listed in the LanToucher help file. Our Customer Support representatives will not be able to help customers whose computers do not meet the requirements. So that we can better help you, please have the following information ready:

  • Where did you acquire the product?
  • Product version number
  • Exact error message reported (if any) and a brief description of the problem
  • Your computer's processor type and speed (e.g. Pentium 233 MHz)
  • Amount of RAM
  • Operating system
  • Your network configuration
  • Brand of network interface card (NIC)
  • Network software you are running

Vital Sound Laboratory makes every effort to provide you with a quick response to your questions or problems.

FEEDBACK

We welcome your comments, suggestions, and ideas for improving our instant messaging software. Please feel free to send your feedback to lantoucher@vitalsoundlab.com


ACKNOWLEDGEMENTS
  • Thanks to the beta testers who help track down problems before LanToucher is publicly released.
  • Thanks to all users who have contributed to LanToucher by communicating problems and suggestions.
  • Thanks to all users who supported the development of this software by registering and recommending it to their friends and colleagues.

Windows, and the Windows logo are trademarks of Microsoft Corporation. All other products are trademarks or registered trademarks of their respective owners.